Bug 977016 - (xmlbeans-maven-plugin) Review Request: xmlbeans-maven-plugin - Maven XML Beans Plugin
Review Request: xmlbeans-maven-plugin - Maven XML Beans Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 977017 1005792
  Show dependency treegraph
 
Reported: 2013-06-22 12:28 EDT by gil cattaneo
Modified: 2014-01-27 08:36 EST (History)
1 user (show)

See Also:
Fixed In Version: xmlbeans-maven-plugin-2.3.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:06:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-22 12:28:12 EDT
Spec URL: http://gil.fedorapeople.org/xmlbeans-maven-plugin.spec
SRPM URL: http://gil.fedorapeople.org/xmlbeans-maven-plugin-2.3.3-1.fc18.src.rpm
Description: 
Maven XML Beans Plugin provides integration of the
Apache XML Beans for Maven 2. Runs the xmlbeans
parser/code generator against schemas in files and
dependent jars.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5530630
Comment 2 Michael Simacek 2014-01-17 08:03:43 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 2 files have
     unknown license. Detailed output of licensecheck in /home/msimacek/977016
     -xmlbeans-maven-plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xmlbeans-
     maven-plugin-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xmlbeans-maven-plugin-2.3.3-1.fc21.noarch.rpm
          xmlbeans-maven-plugin-javadoc-2.3.3-1.fc21.noarch.rpm
          xmlbeans-maven-plugin-2.3.3-1.fc21.src.rpm
xmlbeans-maven-plugin.src: W: invalid-url Source0: xmlbeans-maven-plugin-2.3.3.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xmlbeans-maven-plugin-javadoc xmlbeans-maven-plugin
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xmlbeans-maven-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

xmlbeans-maven-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.apache.maven:maven-artifact:2.0.6)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-model:2.0.6)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.xmlbeans:xmlbeans)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(xml-resolver:xml-resolver)



Provides
--------
xmlbeans-maven-plugin-javadoc:
    xmlbeans-maven-plugin-javadoc

xmlbeans-maven-plugin:
    mvn(org.codehaus.mojo:xmlbeans-maven-plugin)
    xmlbeans-maven-plugin



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 977016
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6419035
Looks good. APPROVED
Comment 3 gil cattaneo 2014-01-17 11:42:36 EST
Thanks!

New Package SCM Request
=======================
Package Name: xmlbeans-maven-plugin
Short Description: Maven XML Beans Plugin
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2014-01-17 11:56:59 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2014-01-17 13:26:18 EST
xmlbeans-maven-plugin-2.3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xmlbeans-maven-plugin-2.3.3-1.fc20
Comment 6 Fedora Update System 2014-01-18 23:06:54 EST
xmlbeans-maven-plugin-2.3.3-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Fedora Update System 2014-01-27 08:06:21 EST
xmlbeans-maven-plugin-2.3.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.